import request from '../../utils/request'

/**
 * 获取课程分页列表
 * @param {JSON参数} data
 */
export function GetClassPageList(data) {
  return request({
    url: '/TeacherClass/GetClassPageList',
    method: 'post',
    data
  })
}

/**
 * 获取课程分页列表
 * @param {JSON参数} data
 */
export function GetClassMonthStatistics(data) {
  return request({
    url: '/TeacherClass/GetClassMonthStatistics',
    method: 'post',
    data
  })
}

/**
 * 获取我的课表分页列表
 * @param {JSON参数} data
 */
export function GetClassPlanStatistical(data) {
  return request({
    url: '/TeacherClass/GetClassPlanStatistical',
    method: 'post',
    data
  })
}

/**
 * 获取我的课表列表数据
 * @param {JSON参数} data
 */
export function GetClassPlanStatisticalPage(data) {
  return request({
    url: '/TeacherClass/GetClassPlanStatisticalPage',
    method: 'post',
    data
  })
}


